import TFPComponentRender from '../render.js'

export default class FlexBoxRender extends TFPComponentRender {
  
  constructor(__tfp, _dataModel, _level) {
  	super(__tfp, _dataModel, _level);
  }

  getBodyHtml(getComponentsHtml, retainStyleAttr) {
    let bodyHtml = "\r\n";
    let indent = this.getHtmlIndent();
    if(getComponentsHtml) {
      bodyHtml += this.getComponentsHtml(getComponentsHtml, indent, retainStyleAttr);
    }
    return bodyHtml+indent;
  }

  getHtml(getComponentsHtml, parentIndent, retainStyleAttr) {
    return super.getHtml("div", getComponentsHtml, parentIndent, retainStyleAttr);
  }
}